<?php 
class eventclass_senuc_aluno  extends eventsBase
{ 
	function eventclass_senuc_aluno()
	{
	// fill list of events
		$this->events["AfterAdd"]=true;

		$this->events["BeforeShowEdit"]=true;



//	onscreen events


	}
// Captchas functions	

//	handlers

		
		
		
		
		
		
		
		
		
		
		
				// After record added
function AfterAdd(&$values,&$keys,$inline,&$pageObject)
{

		global $dal;
$tblUsers = $dal->Table("senuc_aluno");
$tblUsers->Param["id"]=$values['id'];
$tblUsers->Value["idregional"]=$_SESSION["idregional"] ;
$tblUsers->Update();



// Place event code here.
// Use "Add Action" button to add code snippets.
;		
} // function AfterAdd

		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		

		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
				// Before display
function BeforeShowEdit(&$xt,&$templatefile,$values,&$pageObject)
{

		global $dal;
$tblOrders = $dal->Table("senuc_aluno");
$rs = $tblOrders->Query("id=".$values['id'],"");
$data = db_fetch_array($rs);
//$values['cidade'] =$data['cidade'];
 $id_cidade=$data['cidade'];
$tblOrders = $dal->Table("tb_cidades");
$rs = $tblOrders->Query("id=".$id_cidade,"");
$data = db_fetch_array($rs);
//$values['cidade'] =$data['cidade'];
 $cidade=$data['nome'];
$pageObject->setProxyValue("cidade", $cidade);


// Place event code here.
// Use "Add Action" button to add code snippets.
;		
} // function BeforeShowEdit

		
		
		
		
		
		
		
		
		
		
		
		
		
		
		

		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
//	onscreen events

} 
?>
